All of lore.kernel.org
 help / color / mirror / Atom feed
* [OE-core][PATCH 1/2] scripts/autobuilder-worker-prereq-tests: update to use yocto 4.0
@ 2022-05-11 18:52 Michael Halstead
  2022-05-11 18:52 ` [OE-core][PATCH 2/2] scripts/autobuilder-worker-prereq-tests: add additional limit testing Michael Halstead
  0 siblings, 1 reply; 2+ messages in thread
From: Michael Halstead @ 2022-05-11 18:52 UTC (permalink / raw)
  To: openembedded-core; +Cc: Michael Halstead

Use files from the current release to avoid the depreciated -show-cursor
option.

Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index 82e9a77bd5..3956349b30 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -54,13 +54,13 @@ fi
 mkdir -p tmp/deploy/images/qemux86-64
 pushd tmp/deploy/images/qemux86-64
 if [ ! -e core-image-minimal-qemux86-64.ext4 ]; then
-    wget http://downloads.yoctoproject.org/releases/yocto/yocto-2.5.1/machines/qemu/qemux86-64/core-image-minimal-qemux86-64.ext4
+    wget http://downloads.yoctoproject.org/releases/yocto/yocto-4.0/machines/qemu/qemux86-64/core-image-minimal-qemux86-64.ext4
 fi
 if [ ! -e core-image-minimal-qemux86-64.qemuboot.conf ]; then
-    wget http://downloads.yoctoproject.org/releases/yocto/yocto-2.5.1/machines/qemu/qemux86-64/core-image-minimal-qemux86-64.qemuboot.conf
+    wget http://downloads.yoctoproject.org/releases/yocto/yocto-4.0/machines/qemu/qemux86-64/core-image-minimal-qemux86-64.qemuboot.conf
 fi
 if [ ! -e bzImage-qemux86-64.bin ]; then
-    wget http://downloads.yoctoproject.org/releases/yocto/yocto-2.5.1/machines/qemu/qemux86-64/bzImage-qemux86-64.bin
+    wget http://downloads.yoctoproject.org/releases/yocto/yocto-4.0/machines/qemu/qemux86-64/bzImage-qemux86-64.bin
 fi
 popd
 bitbake qemu-helper-native
-- 
2.36.1



^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [OE-core][PATCH 2/2] scripts/autobuilder-worker-prereq-tests: add additional limit testing
  2022-05-11 18:52 [OE-core][PATCH 1/2] scripts/autobuilder-worker-prereq-tests: update to use yocto 4.0 Michael Halstead
@ 2022-05-11 18:52 ` Michael Halstead
  0 siblings, 0 replies; 2+ messages in thread
From: Michael Halstead @ 2022-05-11 18:52 UTC (permalink / raw)
  To: openembedded-core; +Cc: Michael Halstead

Check that open file and user process limits are greater than or equal to what
the autobuilder uses.

Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index 3956349b30..572227dccd 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -51,6 +51,21 @@ if (( $WATCHES < 65000 )); then
     echo 'Need to increase watches (echo fs.inotify.max_user_watches=65536 | sudo tee -a /etc/sysctl.conf'
     exit 1
 fi
+OPEN_FILES=$(ulimit -n)
+if (( $OPEN_FILES < 65535 )); then
+    echo 'Increase maximum open files in /etc/security/limits.conf'
+    echo '*            soft    nofile           131072'
+    echo '*            hard    nofile           131072'
+    exit 1
+fi
+MAX_PROCESSES=$(ulimit -u)
+if (( $MAX_PROCESSES < 514542 )); then
+    echo 'Increase maximum user processes in /etc/security/limits.conf'
+    echo '*            hard    nproc           515294'
+    echo '*            soft    nproc           514543'
+    exit 1
+fi
+
 mkdir -p tmp/deploy/images/qemux86-64
 pushd tmp/deploy/images/qemux86-64
 if [ ! -e core-image-minimal-qemux86-64.ext4 ]; then
-- 
2.36.1



^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2022-05-11 18:54 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-05-11 18:52 [OE-core][PATCH 1/2] scripts/autobuilder-worker-prereq-tests: update to use yocto 4.0 Michael Halstead
2022-05-11 18:52 ` [OE-core][PATCH 2/2] scripts/autobuilder-worker-prereq-tests: add additional limit testing Michael Halstead

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.